# Vector2i Class Reference

`#include <Vector2.h>`

List of all members.

## Public Member Functions
| Vector2i ()
| Vector2i (const int &x, const int &y)
| Vector2i (const Vector2i &vector)
| ~Vector2i ()
void | set (int xx, int yy)
| operator const int * () const
Vector2i | operator+ (const Vector2i &vector) const
Vector2i & | operator+= (const Vector2i &vector)
Vector2i | operator- (const Vector2i &vector) const
Vector2i & | operator-= (const Vector2i &vector)
Vector2i | operator* (const Vector2i &vector) const
Vector2i | operator* (const int &n) const
Vector2i & | operator*= (const int &n)
Vector2i | operator/ (const int &n) const
Vector2i & | operator/= (const int &n)
Vector2i & | operator= (const Vector2i &vector)
bool | operator== (const Vector2i &vector) const
float | getLength () const
int | getLengthSqrd () const
Vector2i | perpendicular ()
## Static Public Member Functions
static int | dot (const Vector2i &left, const Vector2i &right)
static int | cross (const Vector2i &left, const Vector2i &right)
static Vector2i | vmin (const Vector2i &a, const Vector2i &b)
static Vector2i | vmax (const Vector2i &a, const Vector2i &b)
## Public Attributes
int | x
int | y

## Detailed Description

Definition at line 46 of file Vector2.h.

## Constructor & Destructor Documentation

Vector2i::Vector2i | ( |  | ) | `[inline]`

Definition at line 49 of file Vector2.h.

Vector2i::Vector2i | ( | const int & | x,
|  | const int & | y |
| ) |  |  | `[inline]`

Definition at line 50 of file Vector2.h.

Vector2i::Vector2i | ( | const Vector2i & | vector | ) | `[inline]`

Definition at line 51 of file Vector2.h.

Vector2i::~Vector2i | ( |  | ) | `[inline]`

Definition at line 52 of file Vector2.h.

## Member Function Documentation

int Vector2i::cross | ( | const Vector2i & | left,
|  | const Vector2i & | right |
| ) |  |  | `[static]`

Definition at line 229 of file Vector2.cpp.

int Vector2i::dot | ( | const Vector2i & | left,
|  | const Vector2i & | right |
| ) |  |  | `[static]`

Definition at line 224 of file Vector2.cpp.

float Vector2i::getLength | ( |  | ) | const

Definition at line 250 of file Vector2.cpp.

int Vector2i::getLengthSqrd | ( |  | ) | const

Definition at line 256 of file Vector2.cpp.

Vector2i::operator const int * | ( |  | ) | const

Definition at line 262 of file Vector2.cpp.

Vector2i Vector2i::operator* | ( | const int & | n | ) | const

Definition at line 180 of file Vector2.cpp.

Vector2i Vector2i::operator* | ( | const Vector2i & | vector | ) | const

Definition at line 175 of file Vector2.cpp.

Vector2i & Vector2i::operator*= | ( | const int & | n | ) |

Definition at line 186 of file Vector2.cpp.

Vector2i Vector2i::operator+ | ( | const Vector2i & | vector | ) | const

Definition at line 149 of file Vector2.cpp.

Vector2i & Vector2i::operator+= | ( | const Vector2i & | vector | ) |

Definition at line 155 of file Vector2.cpp.

Vector2i Vector2i::operator- | ( | const Vector2i & | vector | ) | const

Definition at line 162 of file Vector2.cpp.

Vector2i & Vector2i::operator-= | ( | const Vector2i & | vector | ) |

Definition at line 168 of file Vector2.cpp.

Vector2i Vector2i::operator/ | ( | const int & | n | ) | const

Definition at line 193 of file Vector2.cpp.

Vector2i & Vector2i::operator/= | ( | const int & | n | ) |

Definition at line 199 of file Vector2.cpp.

Vector2i & Vector2i::operator= | ( | const Vector2i & | vector | ) |

Definition at line 206 of file Vector2.cpp.

bool Vector2i::operator== | ( | const Vector2i & | vector | ) | const

Definition at line 213 of file Vector2.cpp.

Vector2i Vector2i::perpendicular | ( |  | ) |

Definition at line 219 of file Vector2.cpp.

void Vector2i::set | ( | int | xx,
|  | int | yy |
| ) |  |  | `[inline]`

Definition at line 54 of file Vector2.h.

Vector2i Vector2i::vmax | ( | const Vector2i & | a,
|  | const Vector2i & | b |
| ) |  |  | `[static]`

Definition at line 242 of file Vector2.cpp.

Vector2i Vector2i::vmin | ( | const Vector2i & | a,
|  | const Vector2i & | b |
| ) |  |  | `[static]`

Definition at line 234 of file Vector2.cpp.

## Member Data Documentation

int Vector2i::x

Definition at line 78 of file Vector2.h.

int Vector2i::y

Definition at line 78 of file Vector2.h.

The documentation for this class was generated from the following files:

- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/Vector2.h
- C:/Users/Public/AGS Final Folder/BFLETCHER D4010283/Source/Game/Source/Vector2.cpp